define(['backbone', 'underscore'], function (Backbone, _) {
	var FilmDetailView = Backbone.View.extend({
		el: '#detailPanel',
		template: _.template($('#filmDetail-template').html()),
		initialize: function () {
			this.listenTo(Backbone, 'list/select', this.fetchData);
			this.listenTo(this.model, 'sync', this.render);
		},
		fetchData: function (model) {
			this.model.fetch({
				id: model.toJSON().imdbID
			});
		},
		render: function () {
			this.$el.html(this.template(this.model.toJSON()));
		}
	});

	return FilmDetailView;
});