define(['backbone', 'views/filmview'], function (Backbone, FilmView) {
	var FilmListView = Backbone.View.extend({
		el: '#searchResults',
		initialize: function () {
			this.listenTo(Backbone, 'search/new', this.fetchCollection);
			this.listenTo(this.collection, 'sync', this.render);
			this.render();
		},
		render: function () {
			this.$el.html('');
			this.collection.each(function (film) {
				//console.log(this)
				var fv = new FilmView({model: film});
				//console.log(this.$el, fv.render().el)
				this.$el.append( fv.render().el );
			}, this);
		},
		fetchCollection: function (data) {
			// console.log(data);
			this.collection.fetch({
				reset: true,
				search: data.searchTerm
			});
		}
	});

	return FilmListView;
})